Update Workspace Member
curl --request PATCH \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"member": {
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}Members
Update Workspace Member
Update a workspace member role.
PATCH
/
v3
/
workspaces
/
{workspaceId}
/
members
/
{userId}
Update Workspace Member
curl --request PATCH \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/members/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"member": {
"userId": "<string>",
"workspaceId": "<string>",
"role": "ADMIN",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"email": "<string>",
"image": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
ADMIN, MEMBER, GUEST Response
200 - application/json
Default Response
Show child attributes
Show child attributes